xquery version "3.1";

declare namespace bf="http://bibframe.org/vocab/";
declare namespace gndo="http://d-nb.info/standards/elementset/gnd#";
declare namespace http="http://expath.org/ns/http-client";
declare namespace marc21="http://www.loc.gov/MARC21/slim";
declare namespace owl="http://www.w3.org/2002/07/owl#";
declare namespace rdaGr2="http://rdvocab.info/ElementsGr2/";
declare namespace rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#";
declare namespace bdn="http://www.bdn-edition/biblmodel#";

declare option exist:serialize "method=html version=5.0 html-version=5.0 media-type=text/html";

import module namespace config="https://sade.textgrid.de/ns/config" at "../modules/config.xqm";
import module namespace rdfm="https://sade.textgrid.de/ns/rdf" at "../modules/rdf.xqm";

let $desc := rdfm:get-doc(request:get-parameter("id", ""))/rdf:RDF/rdf:Description

return
  <div class="modal fade" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">
          × <!-- times -->
        </button>
        <h4 class="modal-title">
          <i class="fas fa-user" /> Personendaten
        </h4>
        </div>
        <div class="modal-body">
        <table>
          <tr>
            <td>Name:</td>
            <td>{$desc/gndo:preferredNameForThePerson/text()}</td>
          </tr>
          <tr>
            <td class="lifespan-data">Lebensdaten: </td>
            <td>
              <div>{$desc/gndo:dateOfBirth/text()}</div>
              <div>{$desc/gndo:dateOfDeath/text()}</div>
            </td>
          </tr>
          <tr>
            <td>Tätigkeit(en):</td>
            <td>{fn:string-join($desc/gndo:professionOrOccupation/text(), ", ")}</td>
          </tr>
          <tr>
            <td>Wirkungsort(e):</td>
            <td>{fn:string-join($desc/bdn:placeOfActivity/text(), ", ")}</td>
          </tr>
        </table>

        <span class="source">Quelle:
          <a href="{$desc/owl:sameAs/@rdf:resource/string()}" target="_blank">{$desc/owl:sameAs/@rdf:resource/string()}</a>
        </span>
      </div>
    </div>
    </div>
  </div>
